<?php


namespace Drupal\amu_hal\Controller;

use Drupal\Core\Controller\ControllerBase;
use GuzzleHttp\Client;
use GuzzleHttp\Exception\ConnectException;

/**
 * @author M.dandonneau
 *
 * for created routes publication/{}
 */
class AmuHalController extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function publicationDetail($halId_s) {

    $module_global_config = \Drupal::configFactory()
      ->getEditable('amu_hal.settings');
    $amu_hal_url_ws = $module_global_config->get('amu_hal_url_ws');
    $docType_s = $module_global_config->get('docType_s');

    $url = $amu_hal_url_ws . 'search/?fl=title_s,en_title_s,docid,label_s,en_label_s,docType_s,authIdHal_s,halId_s,structId_i,uri_s,keyword_s,en_keyword_s,authLastNameFirstName_s,journalTitle_s,abstract_s,en_abstract_s,producedDate_tdate,producedDateY_i,language_s,fileMain_s&fq=halId_s:' . $halId_s;

    try {
      $client = new Client();
      $response = $client->request('GET', $url);
      $content = json_decode($response->getBody(), TRUE);
      //var_dump($content);
    } catch (ConnectException $e) {
      \Drupal::logger('amu_hal')->error('cette url n est pas bonne' . $url);
    }

    $theme = 'page-PublicationDetails';

    $module_path = file_create_url(drupal_get_path('module', 'amu_hal'));

    $build = [
      '#theme' => $theme,
      "#content" => $content,
      '#url' => $url,
      '#docTypes_array' => $docType_s,
      '#module_path' => $module_path,
    ];
    return $build;
  }

}
