<?php

namespace Drupal\amu_hal\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure amu_hal settings for this site.
 */
class amu_halSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'amu_hal_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'amu_hal.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('amu_hal.settings');

    $form['amu_hal_url_ws'] = [
      '#type' => 'textfield',
      '#title' => $this->t('URL du webservice HAL'),
      '#default_value' => $config->get('amu_hal_url_ws'),
    ];

    $form['hal_date_start'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Date (année) pour laquelle des données sont consultables sur HAL'),
      '#default_value' => $config->get('hal_date_start'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Retrieve the configuration
    $this->config('amu_hal.settings')
      // Set the submitted configuration setting
      ->set('amu_hal_url_ws', $form_state->getValue('amu_hal_url_ws'))
      ->set('hal_date_start', $form_state->getValue('hal_date_start'))
      ->save();

    parent::submitForm($form, $form_state);
  }
}
